package com.ruoyi.project.project.item.service;

import com.ruoyi.project.project.item.domain.Item;

import java.util.List;

/**
 * 物品 服务层
 * 
 * @author luoluo
 */
public interface IItemService
{
    /**
     * 查询信息
     * 
     * @param itemNo 物品ID
     * @return 物品信息
     */
    public Item selectItemById(String itemNo);

    /**
     * 查询物品列表
     * 
     * @param item 物品信息
     * @return 物品集合
     */
    public List<Item> selectItemList(Item item);

    /**
     * 新增物品
     * 
     * @param item 物品信息
     * @return 结果
     */
    public int insertItem(Item item);

    /**
     * 修改物品
     * 
     * @param item 物品信息
     * @return 结果
     */
    public int updateItem(Item item);

    /**
     * 删除物品信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteItemByIds(String ids);
}
